Part Sphere/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(One intermediate revision by the same user not shown)
Line 14: Line 14:
</div>
</div>


==Description==
== Description ==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 20: Line 20:
</div>
</div>


A Part Sphere can be truncated at the top and/or bottom by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties. It can be turned into a segment of a sphere by changing its {{PropertyData|Angle3}} property.
[[File:SimpleSphere.jpg|400px]]

[[Image:Part_Sphere_Example.png|400px]]


==Usage==
==Usage==


# Switch to the [[Image:Workbench_Part.svg|16px]] [[Part_Workbench|Part Workbench]]
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Part_Sphere.svg|16px]] Sphere}} button in the toolbar.
#* Press the {{Button|[[Image:Part_Sphere.svg|16px]] [[Part_Sphere|Part Sphere]]}} button.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Sphere.svg|16px]] Sphere}} from the menu bar.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Sphere.svg|16px]] Sphere}} option from the menu.
# The sphere is created.
# Optionally change the dimensions and {{PropertyData|Placement}} of the sphere by doing one of the following:
#* Double-click the object in the [[Tree_view|Tree view]]:
#*# The {{MenuCommand|Geometric Primitives}} task panel opens.
#*# Change one or more properties.
#*# The object is dynamically updated in the [[3D_view|3D view]].
#*# Press the {{Button|OK}} button.
#* Change the properties in the [[Property_editor|Property editor]].
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.


== Example ==
'''Result:''' The sphere will be positioned at origin (point 0,0,0) on creation. The angle parameters permit to make a portion of sphere instead of a full sphere (they are set to 360° by default).


[[Image:Part_Sphere_Scripting_Example.png|thumb|Part Sphere from the scripting example]]
The properties of the object can be edited, either in the [[Property_editor|Property editor]] or by double-clicking the object in the [[Tree_view|Tree view]].


A Part Sphere object created with the [[#Scripting|scripting example]] below is shown here.
== Properties==

== Notes ==

* A Part Sphere can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

== Properties ==

See also: [[Property_editor|Property editor]].

A Part Sphere object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Data ===
=== Data ===


{{TitleProperty|Sphere}}
{{TitleProperty|Attachment}}


The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
* {{PropertyData|Radius:}} Radius of the sphere
* {{PropertyData|Angle 1:}} 1nd angle to cut / define the sphere
* {{PropertyData|Angle 2:}} 2nd angle to cut / define the sphere
* {{PropertyData|Angle 3:}} 3rd angle to cut / define the sphere


{{TitleProperty|Sphere}}
Because it is quite difficult to explain the meaning of the parameters angle 1, angle 2, angle 3, the picture below gives an explanation about these parameters with following values: angle 1 = -45°, angle 2 = 45° and angle 3= 90°.


* {{PropertyData|Radius|Length}}: The radius of the sphere. The default is {{Value|5mm}}.
[[File:SphereCutThreeAngles.jpg|400px]]
* {{PropertyData|Angle1|Angle}}: The start angle of the circular arc profile of the sphere. Valid range: {{Value|-90° &lt;&#61; value &lt;&#61; 90°}}. May not be equal to {{PropertyData|Angle2}}. The default is {{Value|-90°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the circular arc profile of the sphere. Valid range: {{Value|-90° &lt;&#61; value &lt;&#61; 90°}}. May not be equal to {{PropertyData|Angle1}}. The default is {{Value|90°}}. If the total angle of the arc profile is smaller than {{Value|180°}} the sphere will be truncated and have a flat face at the top and/or bottom.
* {{PropertyData|Angle3|Angle}}: The total angle of revolution of the sphere. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a sphere.


== Scripting ==
== Scripting ==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
A Part Sphere can be created using the following function:

A Part Sphere can be created with the {{Incode|addObject()}} method of the document:


{{Code|code=
{{Code|code=
Line 58: Line 80:
* Where {{Incode|"mySphere"}} is the name for the object.
* Where {{Incode|"mySphere"}} is the name for the object.
* The function returns the newly created object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()
}}





Latest revision as of 08:55, 4 March 2022

Part Sphere

Ubicación en el Menú
Part -> Sphere
Entornos de trabajo
Part Module,Complete
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Part CreatePrimitives

Description

Crea una esfera paramétrica simple, con los parámetros de posición, ángulo1, ángulo2, ángulo3 y radio. La esfera se situará en el origen (point 0,0,0). Los parámetros de ángulo permiten crear una porción de la esfera en lugar de la esfera completa (por defecto están establecidos a 360°)

A Part Sphere can be truncated at the top and/or bottom by changing its DatosAngle1 and/or DatosAngle2 properties. It can be turned into a segment of a sphere by changing its DatosAngle3 property.

Usage

  1. There are several ways to invoke the command:
    • Press the Part Sphere button.
    • Select the Part → Primitives → Sphere option from the menu.
  2. The sphere is created.
  3. Optionally change the dimensions and DatosPlacement of the sphere by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the DatosPlacement with the Std TransformManip command.

Example

Part Sphere from the scripting example

A Part Sphere object created with the scripting example below is shown here.

Notes

  • A Part Sphere can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Sphere object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Sphere

  • DatosRadius (Length): The radius of the sphere. The default is 5mm.
  • DatosAngle1 (Angle): The start angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to DatosAngle2. The default is -90°.
  • DatosAngle2 (Angle): The end angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to DatosAngle1. The default is 90°. If the total angle of the arc profile is smaller than 180° the sphere will be truncated and have a flat face at the top and/or bottom.
  • DatosAngle3 (Angle): The total angle of revolution of the sphere. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a sphere.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Sphere can be created with the addObject() method of the document:

sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
  • Where "mySphere" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()